<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->

    <title>{% block title %}{% endblock %}</title>

    <!-- Bootstrap core CSS -->
    <link href="{{ url_for('static', filename='bootstrap.min.css') }}" rel="stylesheet">

    <link href="{{ url_for('static', filename='theme.css') }}" rel="stylesheet">
    <link href="{{ url_for('static', filename='main.css') }}" rel="stylesheet">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <a class="navbar-brand" href="#">Questions & Answers</a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
            <li><a href="{{ url_for('index') }}">Home</a></li>
            {% if not current_user.is_authenticated %}
            <li><a href="{{ url_for('login') }}">Login</a></li>
            <li><a href="{{ url_for('register') }}">Register</a></li>
            {% endif %}
            {% if current_user.is_authenticated %}
            <li><a href="{{ url_for('ask') }}">Ask Question</a></li>
            {% endif %}
            {% if current_user.is_authenticated %}
            <li><a href="{{ url_for('unanswered') }}">Unanswered Questions</a></li>
            {% endif %}
            {% if current_user.is_authenticated and current_user.admin %}
            <li><a href="{{ url_for('users') }}">User Setup</a></li>
            {% endif %}
            {% if current_user.is_authenticated %}
            <li><a href="{{ url_for('logout') }}">Logout</a></li>
            {% endif %}
          </ul>
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container theme-showcase" role="main">

      {% block content %}{% endblock %}

    </div> <!-- /container -->

  </body>
</html>